using CvMatcher.Data;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace CvMatcher.Data.Migrations
{
    /// <inheritdoc />
    public partial class AddEmailAndIpToResults : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "ClientIpAddress",
                schema: MigrationConstants.SchemaName,
                table: "Results",
                type: "nvarchar(45)",
                maxLength: 45,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "Email",
                schema: MigrationConstants.SchemaName,
                table: "Results",
                type: "nvarchar(256)",
                maxLength: 256,
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ClientIpAddress",
                schema: MigrationConstants.SchemaName,
                table: "Results");

            migrationBuilder.DropColumn(
                name: "Email",
                schema: MigrationConstants.SchemaName,
                table: "Results");
        }
    }
}
